'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var BackgroundImage = require('../../Partials/ContentElements/Frame/General/BackgroundImage.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

//Data is ContentData
const Layout0 = props => {
    const frameClass = 'frame-' + props.data.appearance.frameClass;
    const typeClass = 'frame-type-' + props.data.type;
    const layoutClass = 'frame-layout-' + props.data.appearance.layout;
    const backgroundClass = 'frame-background-' + (props.data.appearance.backgroundColor !== '' ? props.data.appearance.backgroundColor : 'none');
    const spaceBeforeClass = 'frame-space-before-' + (props.data.appearance.spaceBefore !== '' ? props.data.appearance.spaceBefore : 'none');
    const spaceAfterClass = 'frame-space-after-' + (props.data.appearance.spaceAfter !== '' ? props.data.appearance.spaceAfter : 'none');
    let content;
    if (props.data.appearance.frameClass !== 'none') {
        const backgroundImageClass = (props.data.appearance.backgroundImage.length > 0 ? 'frame-has-backgroundimage' : 'frame-no-backgroundimage');
        content = React__default.default.createElement("div", { id: "c" + props.data.id, className: "frame frame-size-default " +
                frameClass + " " +
                typeClass + " " +
                layoutClass + " " +
                backgroundClass + " " +
                backgroundImageClass + " " +
                spaceBeforeClass + " " +
                spaceAfterClass },
            React__default.default.createElement(BackgroundImage.default, { data: props.data }),
            React__default.default.createElement("div", { className: "frame-container" },
                React__default.default.createElement("div", { className: "frame-inner" },
                    props.data._localizedUid ? React__default.default.createElement("a", { id: "c" + props.data._localizedUid }) : null,
                    props.children)));
    }
    else {
        content = React__default.default.createElement(React__default.default.Fragment, null,
            React__default.default.createElement("a", { id: "c" + props.data.id }),
            props.data._localizedUid ? React__default.default.createElement("a", { id: "c" + props.data._localizedUid }) : null,
            props.data.appearance.spaceBefore ? React__default.default.createElement("div", { className: spaceBeforeClass }) : null,
            props.children,
            props.data.appearance.spaceAfter ? React__default.default.createElement("div", { className: spaceAfterClass }) : null);
    }
    return content;
};

exports.default = Layout0;
//# sourceMappingURL=Layout0.js.map
