'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var ImageLightbox = require('./ImageLightbox.js');
var Image = require('./Media/Type/Image.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const imageUris = (data) => {
    const _images = [];
    Object.keys(data.gallery.rows).forEach(rowKey => {
        Object.keys(data.gallery.rows[rowKey].columns).forEach(columnKey => {
            _images.push(data.gallery.rows[rowKey].columns[columnKey].publicUrl);
        });
    });
    return _images;
};
const ImageCols = (props) => {
    const [showLightbox, setShowlightbox] = React.useState(false);
    const [photoIndex, setPhotoIndex] = React.useState(0);
    const images = imageUris(props.data);
    return React__default.default.createElement(React__default.default.Fragment, null,
        React__default.default.createElement(ImageLightbox.default, { images: images, setShowLightbox: setShowlightbox, showLightbox: showLightbox, photoIndex: photoIndex, setPhotoIndex: setPhotoIndex }),
        Object.keys(props.data.gallery.rows).map((rowKey) => {
            return Object.keys(props.data.gallery.rows[rowKey].columns).map((columnKey) => {
                const file = props.data.gallery.rows[rowKey].columns[columnKey];
                const image = React__default.default.createElement(Image.default, { file: file });
                let colContent = image;
                if (props.data.enlargeImageOnClick) {
                    colContent = React__default.default.createElement("a", { onClick: (e) => {
                            e.preventDefault();
                            setPhotoIndex(images.indexOf(file.publicUrl));
                            setShowlightbox(true);
                            return true;
                        }, href: file.publicUrl }, image);
                }
                return React__default.default.createElement("div", { className: "col gallery-item  gallery-item-size-" + props.data.gallery.count.columns, key: rowKey + '-' + columnKey }, colContent);
            });
        }));
};

exports.default = ImageCols;
//# sourceMappingURL=ImageCols.js.map
