'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Lightbox = require('react-image-lightbox');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);
var Lightbox__default = /*#__PURE__*/_interopDefault(Lightbox);

const ImageLightbox = props => {
    const nextSrc = () => {
        props.setPhotoIndex(prevPhotoIndex => (prevPhotoIndex + 1) % props.images.length);
    };
    const prevSrc = () => {
        props.setPhotoIndex(prevPhotoIndex => (prevPhotoIndex + props.images.length - 1) % props.images.length);
    };
    const onClose = () => {
        props.setShowLightbox(false);
    };
    if (props.showLightbox) {
        return React__default.default.createElement(Lightbox__default.default, { mainSrc: props.images[props.photoIndex], nextSrc: props.images[(props.photoIndex + 1) % props.images.length], prevSrc: props.images[(props.photoIndex + props.images.length - 1) % props.images.length], onCloseRequest: onClose, onMovePrevRequest: prevSrc, onMoveNextRequest: nextSrc });
    }
    return React__default.default.createElement(React__default.default.Fragment, null);
};

exports.default = ImageLightbox;
//# sourceMappingURL=ImageLightbox.js.map
