'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Page = require('./Templates/Page.js');
var PageLayouts = require('../defaults/PageLayouts.js');
var PageTemplates = require('../defaults/PageTemplates.js');
var ContentElementLayouts = require('../defaults/ContentElementLayouts.js');
var ContentElementTemplates = require('../defaults/ContentElementTemplates.js');

const TYPO3Page = async function (props) {
    const _pageLayouts = Object.assign({}, PageLayouts.PageLayouts, props.pageLayouts);
    const _pageTemplates = Object.assign({}, PageTemplates.PageTemplates, props.pageTemplates);
    const _contentElementLayouts = Object.assign({}, ContentElementLayouts.ContentElementLayouts, props.contentElementLayouts);
    const _contentElementTemplates = Object.assign({}, ContentElementTemplates.ContentElementTemplates, props.contentElementTemplates);
    return Page.default({
        headlessData: props.headlessData,
        pageLayouts: _pageLayouts,
        pageTemplates: _pageTemplates,
        contentElementLayouts: _contentElementLayouts,
        contentElementTemplates: _contentElementTemplates,
        additionalParams: props.additionalParams,
    });
};

exports.default = TYPO3Page;
//# sourceMappingURL=TYPO3Page.js.map
