'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var RBT = require('react-bootstrap');
var Gallery = require('./Gallery.js');
var All = require('../../Partials/ContentElements/Header/All.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Accordion = (props) => {
    const accordionItems = props.data.content.items;
    const activeElement = props.data.flexform.default_element ?? '';
    if (!accordionItems || accordionItems.length < 0) {
        return React__default.default.createElement(React__default.default.Fragment, null);
    }
    const accorditionItemsTemplate = accordionItems.map((accordionItem, index) => {
        let galleryTemplate = React__default.default.createElement(React__default.default.Fragment, null);
        if (accordionItem.media.length > 0) {
            galleryTemplate = React__default.default.createElement(Gallery.default, { children: props.children, data: { content: { items: accordionItem.media, ...accordionItem } } });
        }
        return React__default.default.createElement(RBT.Accordion.Item, { key: accordionItem.id, eventKey: accordionItem.id.toString() },
            React__default.default.createElement(RBT.Accordion.Header, { as: "h4", id: `accordion-heading-${accordionItem.id}` },
                React__default.default.createElement("span", { className: "accordion-title-link-text" }, accordionItem.header)),
            React__default.default.createElement(RBT.Accordion.Body, null,
                React__default.default.createElement("div", { className: `accordion-content accordion-content-${accordionItem.mediaorient}` },
                    galleryTemplate,
                    React__default.default.createElement("div", { className: 'accordion-content-item accordion-content-text', dangerouslySetInnerHTML: { __html: accordionItem.bodytext } }))));
    });
    return React__default.default.createElement(React__default.default.Fragment, null,
        React__default.default.createElement(All.default, { data: props.data }),
        React__default.default.createElement(RBT.Accordion, { defaultActiveKey: activeElement }, accorditionItemsTemplate),
        props.children);
};

exports.default = Accordion;
//# sourceMappingURL=Accordion.js.map
