'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Link = require('../../Partials/ContentElements/Link.js');
var All = require('../../Partials/ContentElements/Header/All.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const CardGroup = (props) => {
    const { items } = props.data.content;
    const flexform = props.data.flexform;
    const cards = items.map((cardData, index_number) => {
        const { header, subheader, bodytext, image, link, linkTitle, linkClass } = cardData;
        const imageTemplate = image ? image.map((imageData, index) => React__default.default.createElement("img", { key: `image-data-${index}`, className: "card-image-top", src: imageData.publicUrl, alt: '' })) : React__default.default.createElement(React__default.default.Fragment, null);
        let linkButton = React__default.default.createElement(React__default.default.Fragment, null);
        if (link) {
            if (linkTitle && linkTitle.length > 0) {
                link.title = linkTitle;
            }
            if (linkClass && linkClass.length > 0) {
                link["class"] = `${link["class"]} btn-${linkClass}`;
            }
            linkButton = React__default.default.createElement(Link.default, { href: link.href, title: link.title, className: link['class'], target: link.target, linkText: link.linkText });
        }
        return React__default.default.createElement("div", { key: `col card-group-col-${index_number}` },
            React__default.default.createElement("div", { className: 'card' },
                header.length > 0 && React__default.default.createElement("div", { className: 'card-header' }, header),
                imageTemplate,
                React__default.default.createElement("div", { className: 'card-body' },
                    subheader.length > 0 && React__default.default.createElement("div", { className: 'card-title' }, subheader),
                    bodytext.length > 0 && React__default.default.createElement("div", { className: 'card-text' },
                        React__default.default.createElement("div", { dangerouslySetInnerHTML: { __html: bodytext } })),
                    linkButton)));
    });
    let alignment = 'justify-content-left';
    if (flexform.align.length > 0) {
        alignment = `justify-content-${flexform.align}`;
    }
    return React__default.default.createElement(React__default.default.Fragment, null,
        React__default.default.createElement(All.default, { data: props.data }),
        React__default.default.createElement("div", { className: `row row-xs-1 row-md-${flexform.columns} card-group ${alignment}` }, cards),
        props.children);
};

exports.default = CardGroup;
//# sourceMappingURL=CardGroup.js.map
