'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var RBT = require('react-bootstrap');
var Image = require('../../Partials/ContentElements/Media/Type/Image.js');
var All = require('../../Partials/ContentElements/Header/All.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
        Object.keys(e).forEach(function (k) {
            if (k !== 'default') {
                var d = Object.getOwnPropertyDescriptor(e, k);
                Object.defineProperty(n, k, d.get ? d : {
                    enumerable: true,
                    get: function () { return e[k]; }
                });
            }
        });
    }
    n.default = e;
    return Object.freeze(n);
}

var React__default = /*#__PURE__*/_interopDefault(React);
var RBT__namespace = /*#__PURE__*/_interopNamespace(RBT);

const carouselItem = (itemHeadless, isFirst = false) => {
    const { itemType, layout, image } = itemHeadless;
    let item;
    let itemClass = 'item carousel-item';
    if (isFirst) {
        itemClass += ` active`;
    }
    if (layout) {
        itemClass += ` carousel-item-layout-${layout}`;
    }
    if (itemType) {
        itemClass += ` carousel-item-type-${itemType}`;
    }
    switch (itemType) {
        case 'image':
            item = React__default.default.createElement("div", { className: "carousel-image" },
                React__default.default.createElement(Image.default, { file: image[0], className: '' }));
            break;
        default:
            item = React__default.default.createElement("div", { className: 'carousel-text-inner' },
                React__default.default.createElement("div", { className: "alert alert-danger" },
                    React__default.default.createElement("h4", { className: 'alert-heading' }, "Templatetype unknown"),
                    React__default.default.createElement("p", null,
                        itemType,
                        " has no Template")));
    }
    return React__default.default.createElement(RBT__namespace.Carousel.Item, { key: image[0].publicUrl, className: itemClass },
        React__default.default.createElement("div", { className: 'carousel-content' },
            React__default.default.createElement("div", { className: 'carousel-content-inner' }, item)));
};
const Carousel = props => {
    const { content, flexform } = props.data;
    const { items } = content;
    return React__default.default.createElement(React__default.default.Fragment, null,
        React__default.default.createElement(All.default, { data: props.data }),
        React__default.default.createElement(RBT__namespace.Carousel, { fade: flexform.transition === 'fade', interval: flexform.interval, wrap: flexform.wrap }, items.map((itemHeadless, index) => {
            return carouselItem(itemHeadless, index === 0);
        })));
};

exports.default = Carousel;
//# sourceMappingURL=Carousel.js.map
