'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var All = require('../../Partials/ContentElements/Header/All.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const MenuCardDir = props => {
    const { flexform, content } = props.data;
    const { items, readmoreLabel } = content;
    const itemsTemplate = items.map((item) => {
        const { title, description, link, target, thumbnail } = item;
        return React__default.default.createElement("div", { key: link, className: `card-menu-item ${(thumbnail && thumbnail[0]?.publicUrl ? 'hasImage' : 'noImage')}` },
            React__default.default.createElement("div", { className: 'card' },
                thumbnail && thumbnail.length > 0 &&
                    React__default.default.createElement("a", { href: link, className: 'card-link', target: target, title: title, "data-toggle": "tooltip" },
                        React__default.default.createElement("img", { className: "card-img-top", src: thumbnail[0].publicUrl, alt: '' })),
                React__default.default.createElement("div", { className: 'card-body' },
                    title && title.length > 0 &&
                        React__default.default.createElement("h3", { className: 'card-title' },
                            React__default.default.createElement("a", { href: link, target: target, title: title, className: 'card-link', "data-toggle": "tooltip" }, title)),
                    description && React__default.default.createElement("p", { className: 'card-text' }, description),
                    props.children),
                (readmoreLabel && readmoreLabel.length > 0) && React__default.default.createElement("div", { className: 'card-footer' },
                    React__default.default.createElement("a", { href: link, target: target, title: title, "data-toggle": "tooltip", className: 'card-link' }, readmoreLabel))));
    });
    return React__default.default.createElement(React__default.default.Fragment, null,
        React__default.default.createElement(All.default, { data: props.data }),
        React__default.default.createElement("div", { className: `card-menu card-menu card-menu-align-${flexform.align} card-menu-columns-${flexform.columns}` }, itemsTemplate));
};

exports.default = MenuCardDir;
//# sourceMappingURL=MenuCardBase.js.map
