'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var All = require('../../Partials/ContentElements/Header/All.js');
var Image = require('../../Partials/ContentElements/Media/Type/Image.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const MenuThumbnailBase = props => {
    const { flexform, content } = props.data;
    const { items } = content;
    const itemsTemplate = items.map((item, index) => {
        const { title, link, target, thumbnail, subtitle } = item;
        return React__default.default.createElement("div", { key: link, className: "thumbnail-menu-item" },
            React__default.default.createElement("a", { href: link, target: target, title: title, "data-toggle": "tooltip", className: 'thumbnail-menu-link' },
                React__default.default.createElement("span", { className: 'thumbnail-menu-image' }, thumbnail && thumbnail.length > 0 ?
                    React__default.default.createElement(Image.default, { file: thumbnail[0] })
                    :
                        React__default.default.createElement("span", { className: 'no-image' })),
                React__default.default.createElement("span", { className: 'thumbnail-menu-caption' },
                    React__default.default.createElement("span", { className: 'thumbnail-menu-caption-inner' },
                        title && title.length > 0 &&
                            React__default.default.createElement("span", { className: 'h3 thumbnail-menu-caption-title' }, title),
                        subtitle && subtitle.length > 0 &&
                            React__default.default.createElement("p", { className: 'thumbnail-menu-caption-subtitle' }, subtitle)))),
            props.children);
    });
    return React__default.default.createElement(React__default.default.Fragment, null,
        React__default.default.createElement(All.default, { data: props.data }),
        React__default.default.createElement("div", { className: `thumbnail-menu thumbnail-menu-align-${flexform.align} thumbnail-menu-columns-${flexform.columns}` }, itemsTemplate));
};

exports.default = MenuThumbnailBase;
//# sourceMappingURL=MenuThumbnailBase.js.map
