'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var All = require('../../Partials/ContentElements/Header/All.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Quote = (props) => {
    const { bodytext, quoteSource, quoteLink } = props.data.content;
    let sourceLink = () => {
        if (typeof quoteLink === 'object' && quoteLink !== null) {
            const { href, target, title, linkText } = quoteLink;
            const className = quoteLink['class'];
            return React__default.default.createElement("span", null,
                "(",
                React__default.default.createElement("a", { href: href, target: target, title: title, className: className }, linkText),
                ")");
        }
        return React__default.default.createElement(React__default.default.Fragment, null);
    };
    const bodyTemplate = () => {
        return (bodytext.length > 0) ?
            React__default.default.createElement("blockquote", { className: 'blockquote', dangerouslySetInnerHTML: { __html: bodytext } }) : React__default.default.createElement(React__default.default.Fragment, null);
    };
    const figcaptionTemplate = () => {
        if (quoteSource.length > 0) {
            return React__default.default.createElement("figcaption", { className: "blockquote-footer" },
                React__default.default.createElement("cite", { title: quoteSource },
                    quoteSource,
                    sourceLink()));
        }
        return React__default.default.createElement(React__default.default.Fragment, null);
    };
    return React__default.default.createElement(React__default.default.Fragment, null,
        React__default.default.createElement(All.default, { data: props.data }),
        React__default.default.createElement("figure", null,
            bodyTemplate(),
            figcaptionTemplate()),
        props.children);
};

exports.default = Quote;
//# sourceMappingURL=Quote.js.map
