'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var All = require('../../Partials/ContentElements/Header/All.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Uploads = props => {
    return React__default.default.createElement(React__default.default.Fragment, null,
        React__default.default.createElement(All.default, { data: props.data }),
        React__default.default.createElement("div", { className: "uploads" },
            React__default.default.createElement("ul", { className: "media-list filelink-list" }, Object.keys(props.data.content.media).map((key) => {
                const description = props.data.content.displayDescription === '1' ?
                    React__default.default.createElement("p", { className: 'filelink-filedescription' }, props.data.content.media[key].properties.description) : null;
                const filesize = props.data.content.displayFileSizeInformation === '1' ?
                    React__default.default.createElement("span", { className: 'filelink-filesize ms-2 small' }, props.data.content.media[key].properties.size) : null;
                let title = props.data.content.media[key].properties.title;
                if (title === null || title === '') {
                    title = props.data.content.media[key].properties.filename;
                }
                const heading = (contentBefore = null) => React__default.default.createElement("span", { className: 'title' },
                    React__default.default.createElement("h5", { className: 'filelink-heading ' },
                        React__default.default.createElement("a", { href: props.data.content.media[key].publicUrl },
                            contentBefore,
                            title),
                        filesize));
                let content;
                switch (props.data.content.displayInformation) {
                    case "1":
                        content = React__default.default.createElement(React__default.default.Fragment, null,
                            heading(props.data.content.media[key].properties.type === 'video' ?
                                React__default.default.createElement("i", { className: "bi bi-camera-video-fill me-2" }) :
                                React__default.default.createElement("i", { className: "bi bi-file-image me-2" })),
                            description);
                        break;
                    case "2":
                        let media = null;
                        switch (props.data.content.media[key].properties.type) {
                            case 'video':
                                media = React__default.default.createElement("iframe", { src: props.data.content.media[key].publicUrl, className: 'mw-100' });
                                break;
                            //TODO: add preview for application/*
                            case 'application':
                                if (props.data.content.media[key].properties.mimeType === 'application/pdf') {
                                    media =
                                        React__default.default.createElement("iframe", { src: props.data.content.media[key].publicUrl, className: 'mw-100' });
                                }
                                break;
                            default:
                                media =
                                    React__default.default.createElement("img", { src: props.data.content.media[key].publicUrl, alt: title, className: 'img-fluid' });
                        }
                        content = React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("div", { className: 'filelink-media col col-xs-3 col-sm-3 col-md-3 col-lg-2 col-xl-2 col-xxl-2' }, media),
                            React__default.default.createElement("div", { className: 'filelink-body col' },
                                heading(),
                                description));
                        break;
                    default:
                        content = React__default.default.createElement(React__default.default.Fragment, null,
                            heading(),
                            description);
                }
                return React__default.default.createElement("li", { className: 'filelink-item mb-2', key: key }, content);
            }))),
        props.children);
};

exports.default = Uploads;
//# sourceMappingURL=Uploads.js.map
