'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Page = async (pageProps) => {
    let pageTemplate;
    if (pageProps.pageTemplates.hasOwnProperty(pageProps.headlessData.appearance.backendLayout)) {
        pageTemplate = await pageProps.pageTemplates[pageProps.headlessData.appearance.backendLayout](pageProps);
    }
    else if (pageProps.pageTemplates.hasOwnProperty('__generic')) {
        pageTemplate = await pageProps.pageTemplates.__generic(pageProps);
    }
    else {
        return React__default.default.createElement(React__default.default.Fragment, null,
            "Page-template not found: ",
            pageProps.headlessData.appearance.backendLayout,
            " ");
    }
    return pageProps.pageLayouts[pageProps.headlessData.appearance.layout](pageProps, pageTemplate);
};

exports.default = Page;
//# sourceMappingURL=Page.js.map
