'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Content = require('../Content.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const getGridElement = (element, pageProps, index) => {
    switch (element.type) {
        case 'row':
            return React__default.default.createElement("div", { key: index, className: 'row' }, element.children.map((child, index) => {
                return getGridElement(child, pageProps, index);
            }));
        case 'col':
            return React__default.default.createElement("div", { key: index, className: `col col-lg${element.colspan} col-md-${element.colspan} col-sm-${element.colspan} col-xl=%{element.colspan}` },
                React__default.default.createElement(Content.default, { colPos: element.colPos, pageProps: pageProps }));
        default:
            return React__default.default.createElement(React__default.default.Fragment, null);
    }
};
const GenericPage = ({ pageProps }) => {
    let content = React__default.default.createElement(React__default.default.Fragment, null);
    if (pageProps.headlessData.appearance.pageContentRows) {
        content = pageProps.headlessData.appearance.pageContentRows.map((gridElement, index) => {
            return getGridElement(gridElement, pageProps, index);
        });
    }
    return content;
};

exports.default = GenericPage;
//# sourceMappingURL=GenericPage.js.map
