'use strict';

var Text = require('../Components/Templates/ContentElements/Text.js');
var Textpic = require('../Components/Templates/ContentElements/Textpic.js');
var Image = require('../Components/Templates/ContentElements/Image.js');
var Div = require('../Components/Templates/ContentElements/Div.js');
var Textmedia = require('../Components/Templates/ContentElements/Textmedia.js');
var Shortcut = require('../Components/Templates/ContentElements/Shortcut.js');
var Html = require('../Components/Templates/ContentElements/Html.js');
var Uploads = require('../Components/Templates/ContentElements/Uploads.js');
var Accordion = require('../Components/Templates/ContentElements/Accordion.js');
var Gallery = require('../Components/Templates/ContentElements/Gallery.js');
var CardGroup = require('../Components/Templates/ContentElements/CardGroup.js');
var TextColumns = require('../Components/Templates/ContentElements/TextColumns.js');
var Quote = require('../Components/Templates/ContentElements/Quote.js');
var Header = require('../Components/Templates/ContentElements/Header.js');
var Carousel = require('../Components/Templates/ContentElements/Carousel.js');
var MenuCardList = require('../Components/Templates/ContentElements/MenuCardList.js');
var MenuCardDir = require('../Components/Templates/ContentElements/MenuCardDir.js');
var MenuThumbnailBase = require('../Components/Templates/ContentElements/MenuThumbnailBase.js');
var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const ContentElementTemplates = {
    __generic: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(React__default.default.Fragment, null,
            headlessContentData.type,
            " has no Template");
    },
    text: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Text.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    html: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Html.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    textpic: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Textpic.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    image: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Image.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    shortcut: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Shortcut.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    div: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Div.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    uploads: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Uploads.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    accordion: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Accordion.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    gallery: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Gallery.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    textmedia: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Textmedia.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    card_group: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(CardGroup.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    textcolumn: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(TextColumns.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    quote: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Quote.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    header: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Header.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    carousel: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(Carousel.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    menu_card_list: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(MenuCardList.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    menu_card_dir: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(MenuCardDir.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    menu_thumbnail_dir: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(MenuThumbnailBase.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    menu_thumbnail_list: async (headlessContentData, pageProps) => {
        "use server";
        return React__default.default.createElement(MenuThumbnailBase.default, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    }
};

exports.ContentElementTemplates = ContentElementTemplates;
//# sourceMappingURL=ContentElementTemplates.js.map
