'use strict';

var React = require('react');
var GenericPage = require('../Components/Templates/Page/GenericPage.js');
var Content = require('../Components/Templates/Content.js');
var FooterContent = require('../Components/Partials/Page/Structure/FooterContent.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const PageTemplates = {
    __generic: async (pageProps) => {
        "use server";
        return {
            main: React__default.default.createElement(GenericPage.default, { pageProps: pageProps })
        };
    },
    default: async (pageProps) => {
        "use server";
        return {
            border: React__default.default.createElement("div", { className: 'row' },
                React__default.default.createElement("div", { className: 'col' },
                    React__default.default.createElement(Content.default, { colPos: '3', pageProps: pageProps }))),
            main: React__default.default.createElement(React__default.default.Fragment, null,
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '8', pageProps: pageProps }))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'row' },
                        React__default.default.createElement("div", { className: 'col' },
                            React__default.default.createElement(Content.default, { colPos: '0', pageProps: pageProps })))),
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '9', pageProps: pageProps })))),
            footer: React__default.default.createElement(FooterContent.default, { pageProps: pageProps }),
        };
    },
    simple: async (pageProps) => {
        "use server";
        return {
            border: React__default.default.createElement("div", { className: 'row' },
                React__default.default.createElement("div", { className: 'col' },
                    React__default.default.createElement(Content.default, { colPos: '3', pageProps: pageProps }))),
            main: React__default.default.createElement(React__default.default.Fragment, null,
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '8', pageProps: pageProps }))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'row' },
                        React__default.default.createElement("div", { className: 'col' },
                            React__default.default.createElement(Content.default, { colPos: '0', pageProps: pageProps })))),
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '9', pageProps: pageProps })))),
        };
    },
    '2_columns': async (pageProps) => {
        "use server";
        return {
            border: React__default.default.createElement("div", { className: 'row' },
                React__default.default.createElement("div", { className: 'col' },
                    React__default.default.createElement(Content.default, { colPos: '3', pageProps: pageProps }))),
            main: React__default.default.createElement(React__default.default.Fragment, null,
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '8', pageProps: pageProps }))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("main", { className: "col col-md-8 maincontent-wrap", role: "main" },
                                React__default.default.createElement(Content.default, { colPos: '0', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "col col-md-4 subcontent-wrap " },
                                React__default.default.createElement(Content.default, { colPos: '2', pageProps: pageProps }))))),
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '9', pageProps: pageProps })))),
            footer: React__default.default.createElement(FooterContent.default, { pageProps: pageProps }),
        };
    },
    '2_columns_25_75': async (pageProps) => {
        "use server";
        return {
            border: React__default.default.createElement("div", { className: 'row' },
                React__default.default.createElement("div", { className: 'col' },
                    React__default.default.createElement(Content.default, { colPos: '3', pageProps: pageProps }))),
            main: React__default.default.createElement(React__default.default.Fragment, null,
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '8', pageProps: pageProps }))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("main", { className: "col col-md-8 maincontent-wrap", role: "main" },
                                React__default.default.createElement(Content.default, { colPos: '0', pageProps: pageProps }))),
                        React__default.default.createElement("div", { className: "col col-md-4 subcontent-wrap" },
                            React__default.default.createElement(Content.default, { colPos: '1', pageProps: pageProps })))),
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '9', pageProps: pageProps })))),
            footer: React__default.default.createElement(FooterContent.default, { pageProps: pageProps }),
        };
    },
    '2_columns_50_50': async (pageProps) => {
        "use server";
        return {
            border: React__default.default.createElement("div", { className: 'row' },
                React__default.default.createElement("div", { className: 'col' },
                    React__default.default.createElement(Content.default, { colPos: '3', pageProps: pageProps }))),
            main: React__default.default.createElement(React__default.default.Fragment, null,
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '8', pageProps: pageProps }))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("main", { className: "col col-md-6 maincontent-wrap", role: "main" },
                                React__default.default.createElement(Content.default, { colPos: '0', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "col col-md-6 subcontent-wrap " },
                                React__default.default.createElement(Content.default, { colPos: '2', pageProps: pageProps }))))),
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '9', pageProps: pageProps })))),
            footer: React__default.default.createElement(FooterContent.default, { pageProps: pageProps }),
        };
    },
    '3_columns': async (pageProps) => {
        "use server";
        return {
            border: React__default.default.createElement("div", { className: 'row' },
                React__default.default.createElement("div", { className: 'col' },
                    React__default.default.createElement(Content.default, { colPos: '3', pageProps: pageProps }))),
            main: React__default.default.createElement(React__default.default.Fragment, null,
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '8', pageProps: pageProps }))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("main", { className: "col col-lg-6 maincontent-wrap ", role: "main" },
                                React__default.default.createElement(Content.default, { colPos: '0', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "col col-lg-3 subcontent-wrap " },
                                React__default.default.createElement(Content.default, { colPos: '1', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "col col-lg-3 subcontent-wrap" },
                                React__default.default.createElement(Content.default, { colPos: '2', pageProps: pageProps }))))),
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '9', pageProps: pageProps })))),
            footer: React__default.default.createElement(FooterContent.default, { pageProps: pageProps }),
        };
    },
    'special_feature': async (pageProps) => {
        "use server";
        return {
            border: React__default.default.createElement("div", { className: 'row' },
                React__default.default.createElement("div", { className: 'col' },
                    React__default.default.createElement(Content.default, { colPos: '3', pageProps: pageProps }))),
            main: React__default.default.createElement(React__default.default.Fragment, null,
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '8', pageProps: pageProps }))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'row' },
                        React__default.default.createElement("div", { className: 'col' },
                            React__default.default.createElement(Content.default, { colPos: '0', pageProps: pageProps })))),
                React__default.default.createElement("div", { className: "section section-primary" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("div", { className: "col col-md-6 section-column-half " },
                                React__default.default.createElement(Content.default, { colPos: '30', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "col col-md-6 section-column-half " },
                                React__default.default.createElement(Content.default, { colPos: '31', pageProps: pageProps }))))),
                React__default.default.createElement("div", { className: "section section-primary" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("div", { className: "col col-md-6 section-column-half " },
                                React__default.default.createElement(Content.default, { colPos: '32', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "col col-md-6 section-column-half " },
                                React__default.default.createElement(Content.default, { colPos: '33', pageProps: pageProps }))))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'row' },
                        React__default.default.createElement("div", { className: 'col' },
                            React__default.default.createElement(Content.default, { colPos: '4', pageProps: pageProps })))),
                React__default.default.createElement("div", { className: "section section-light" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("div", { className: "col col-md-6 section-column-half " },
                                React__default.default.createElement(Content.default, { colPos: '34', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "col col-md-6 section-column-half " },
                                React__default.default.createElement(Content.default, { colPos: '35', pageProps: pageProps }))))),
                React__default.default.createElement("div", { className: "section section-light" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("div", { className: "col col-md-6 section-column-half " },
                                React__default.default.createElement(Content.default, { colPos: '36', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "col col-md-6 section-column-half " },
                                React__default.default.createElement(Content.default, { colPos: '37', pageProps: pageProps }))))),
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '9', pageProps: pageProps })))),
            footer: React__default.default.createElement(FooterContent.default, { pageProps: pageProps }),
        };
    },
    'special_start': async (pageProps) => {
        "use server";
        return {
            border: React__default.default.createElement("div", { className: 'row' },
                React__default.default.createElement("div", { className: 'col' },
                    React__default.default.createElement(Content.default, { colPos: '3', pageProps: pageProps }))),
            main: React__default.default.createElement(React__default.default.Fragment, null,
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '8', pageProps: pageProps }))),
                React__default.default.createElement("div", { className: "section section-default" },
                    React__default.default.createElement("div", { className: 'container' },
                        React__default.default.createElement("div", { className: 'row' },
                            React__default.default.createElement("div", { className: "section-column-third col col-md-4 " },
                                React__default.default.createElement(Content.default, { colPos: '20', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "section-column-third col col-md-4" },
                                React__default.default.createElement(Content.default, { colPos: '21', pageProps: pageProps })),
                            React__default.default.createElement("div", { className: "section-column-third col col-md-4" },
                                React__default.default.createElement(Content.default, { colPos: '22', pageProps: pageProps }))))),
                React__default.default.createElement("div", { className: "section section-light" },
                    React__default.default.createElement("div", { className: 'row' },
                        React__default.default.createElement("div", { className: 'col' },
                            React__default.default.createElement(Content.default, { colPos: '0', pageProps: pageProps })))),
                React__default.default.createElement("div", { className: 'row' },
                    React__default.default.createElement("div", { className: 'col' },
                        React__default.default.createElement(Content.default, { colPos: '9', pageProps: pageProps })))),
            footer: React__default.default.createElement(FooterContent.default, { pageProps: pageProps }),
        };
    },
};

exports.PageTemplates = PageTemplates;
//# sourceMappingURL=PageTemplates.js.map
