import React from 'react';
import Header from './Header.js';
import Subheader from './Subheader.js';
import HeaderDate from './HeaderDate.js';

const AllHeader = props => {
    const { header, subheader, date, headerPosition, headerLink, headerLayout } = props.data.content;
    let content = React.createElement(React.Fragment, null);
    if (props.data.content.hasOwnProperty('headerLayout') && headerLayout !== 100) {
        if (header !== '' || subheader !== '' || date !== '') {
            content = React.createElement("div", { className: "frame-header" },
                header.length > 0 &&
                    React.createElement(Header, { layout: headerLayout, positionClass: headerPosition ? 'text-' + headerPosition : '', header: header, headerLink: headerLink !== '' ? headerLink : null }),
                subheader.length > 0 &&
                    React.createElement(Subheader, { layout: headerLayout, positionClass: headerPosition ? 'text-' + headerPosition : '', header: subheader, headerLink: headerLink !== '' ? headerLink : null }),
                date.length > 0 &&
                    React.createElement(HeaderDate, { date: date, positionClass: headerPosition ? 'text-' + headerPosition : '' }));
        }
    }
    return content;
};

export { AllHeader as default };
//# sourceMappingURL=All.js.map
