'use client';
import React, { useState } from 'react';
import ImageLightbox from './ImageLightbox.js';
import Image from './Media/Type/Image.js';

const imageUris = (data) => {
    const _images = [];
    Object.keys(data.gallery.rows).forEach(rowKey => {
        Object.keys(data.gallery.rows[rowKey].columns).forEach(columnKey => {
            _images.push(data.gallery.rows[rowKey].columns[columnKey].publicUrl);
        });
    });
    return _images;
};
const ImageCols = (props) => {
    const [showLightbox, setShowlightbox] = useState(false);
    const [photoIndex, setPhotoIndex] = useState(0);
    const images = imageUris(props.data);
    return React.createElement(React.Fragment, null,
        React.createElement(ImageLightbox, { images: images, setShowLightbox: setShowlightbox, showLightbox: showLightbox, photoIndex: photoIndex, setPhotoIndex: setPhotoIndex }),
        Object.keys(props.data.gallery.rows).map((rowKey) => {
            return Object.keys(props.data.gallery.rows[rowKey].columns).map((columnKey) => {
                const file = props.data.gallery.rows[rowKey].columns[columnKey];
                const image = React.createElement(Image, { file: file });
                let colContent = image;
                if (props.data.enlargeImageOnClick) {
                    colContent = React.createElement("a", { onClick: (e) => {
                            e.preventDefault();
                            setPhotoIndex(images.indexOf(file.publicUrl));
                            setShowlightbox(true);
                            return true;
                        }, href: file.publicUrl }, image);
                }
                return React.createElement("div", { className: "col gallery-item  gallery-item-size-" + props.data.gallery.count.columns, key: rowKey + '-' + columnKey }, colContent);
            });
        }));
};

export { ImageCols as default };
//# sourceMappingURL=ImageCols.js.map
