'use client';
import React from 'react';
import Lightbox from 'react-image-lightbox';

const ImageLightbox = props => {
    const nextSrc = () => {
        props.setPhotoIndex(prevPhotoIndex => (prevPhotoIndex + 1) % props.images.length);
    };
    const prevSrc = () => {
        props.setPhotoIndex(prevPhotoIndex => (prevPhotoIndex + props.images.length - 1) % props.images.length);
    };
    const onClose = () => {
        props.setShowLightbox(false);
    };
    if (props.showLightbox) {
        return React.createElement(Lightbox, { mainSrc: props.images[props.photoIndex], nextSrc: props.images[(props.photoIndex + 1) % props.images.length], prevSrc: props.images[(props.photoIndex + props.images.length - 1) % props.images.length], onCloseRequest: onClose, onMovePrevRequest: prevSrc, onMoveNextRequest: nextSrc });
    }
    return React.createElement(React.Fragment, null);
};

export { ImageLightbox as default };
//# sourceMappingURL=ImageLightbox.js.map
