import React from 'react';
import Image from './Type/Image.js';

const Type = (props) => {
    const { file } = props;
    let fileType = file.properties.type;
    if (!isNaN(+file.properties.type)) {
        const fileExtension = file.properties.filename.split('.').pop();
        if (['jpg', 'png', 'svg'].some((type) => type === fileExtension)) {
            fileType = 'image';
        }
    }
    switch (fileType) {
        case 'image':
            return React.createElement(Image, { file: file });
        default:
            return React.createElement("div", { className: "alert alert-info" },
                "Filetype unknown ",
                file.properties.filename);
    }
};

export { Type as default };
//# sourceMappingURL=Type.js.map
