'use client';
import React from 'react';
import { Accordion as Accordion$1 } from 'react-bootstrap';
import Gallery from './Gallery.js';
import AllHeader from '../../Partials/ContentElements/Header/All.js';

const Accordion = (props) => {
    const accordionItems = props.data.content.items;
    const activeElement = props.data.flexform.default_element ?? '';
    if (!accordionItems || accordionItems.length < 0) {
        return React.createElement(React.Fragment, null);
    }
    const accorditionItemsTemplate = accordionItems.map((accordionItem, index) => {
        let galleryTemplate = React.createElement(React.Fragment, null);
        if (accordionItem.media.length > 0) {
            galleryTemplate = React.createElement(Gallery, { children: props.children, data: { content: { items: accordionItem.media, ...accordionItem } } });
        }
        return React.createElement(Accordion$1.Item, { key: accordionItem.id, eventKey: accordionItem.id.toString() },
            React.createElement(Accordion$1.Header, { as: "h4", id: `accordion-heading-${accordionItem.id}` },
                React.createElement("span", { className: "accordion-title-link-text" }, accordionItem.header)),
            React.createElement(Accordion$1.Body, null,
                React.createElement("div", { className: `accordion-content accordion-content-${accordionItem.mediaorient}` },
                    galleryTemplate,
                    React.createElement("div", { className: 'accordion-content-item accordion-content-text', dangerouslySetInnerHTML: { __html: accordionItem.bodytext } }))));
    });
    return React.createElement(React.Fragment, null,
        React.createElement(AllHeader, { data: props.data }),
        React.createElement(Accordion$1, { defaultActiveKey: activeElement }, accorditionItemsTemplate),
        props.children);
};

export { Accordion as default };
//# sourceMappingURL=Accordion.js.map
