'use client';
import React from 'react';
import * as RBT from 'react-bootstrap';
import Image from '../../Partials/ContentElements/Media/Type/Image.js';
import AllHeader from '../../Partials/ContentElements/Header/All.js';

const carouselItem = (itemHeadless, isFirst = false) => {
    const { itemType, layout, image } = itemHeadless;
    let item;
    let itemClass = 'item carousel-item';
    if (isFirst) {
        itemClass += ` active`;
    }
    if (layout) {
        itemClass += ` carousel-item-layout-${layout}`;
    }
    if (itemType) {
        itemClass += ` carousel-item-type-${itemType}`;
    }
    switch (itemType) {
        case 'image':
            item = React.createElement("div", { className: "carousel-image" },
                React.createElement(Image, { file: image[0], className: '' }));
            break;
        default:
            item = React.createElement("div", { className: 'carousel-text-inner' },
                React.createElement("div", { className: "alert alert-danger" },
                    React.createElement("h4", { className: 'alert-heading' }, "Templatetype unknown"),
                    React.createElement("p", null,
                        itemType,
                        " has no Template")));
    }
    return React.createElement(RBT.Carousel.Item, { key: image[0].publicUrl, className: itemClass },
        React.createElement("div", { className: 'carousel-content' },
            React.createElement("div", { className: 'carousel-content-inner' }, item)));
};
const Carousel = props => {
    const { content, flexform } = props.data;
    const { items } = content;
    return React.createElement(React.Fragment, null,
        React.createElement(AllHeader, { data: props.data }),
        React.createElement(RBT.Carousel, { fade: flexform.transition === 'fade', interval: flexform.interval, wrap: flexform.wrap }, items.map((itemHeadless, index) => {
            return carouselItem(itemHeadless, index === 0);
        })));
};

export { Carousel as default };
//# sourceMappingURL=Carousel.js.map
