import React from 'react';
import AllHeader from '../../Partials/ContentElements/Header/All.js';

const MenuCardDir = props => {
    const { flexform, content } = props.data;
    const { items, readmoreLabel } = content;
    const itemsTemplate = items.map((item) => {
        const { title, description, link, target, thumbnail } = item;
        return React.createElement("div", { key: link, className: `card-menu-item ${(thumbnail && thumbnail[0]?.publicUrl ? 'hasImage' : 'noImage')}` },
            React.createElement("div", { className: 'card' },
                thumbnail && thumbnail.length > 0 &&
                    React.createElement("a", { href: link, className: 'card-link', target: target, title: title, "data-toggle": "tooltip" },
                        React.createElement("img", { className: "card-img-top", src: thumbnail[0].publicUrl, alt: '' })),
                React.createElement("div", { className: 'card-body' },
                    title && title.length > 0 &&
                        React.createElement("h3", { className: 'card-title' },
                            React.createElement("a", { href: link, target: target, title: title, className: 'card-link', "data-toggle": "tooltip" }, title)),
                    description && React.createElement("p", { className: 'card-text' }, description),
                    props.children),
                (readmoreLabel && readmoreLabel.length > 0) && React.createElement("div", { className: 'card-footer' },
                    React.createElement("a", { href: link, target: target, title: title, "data-toggle": "tooltip", className: 'card-link' }, readmoreLabel))));
    });
    return React.createElement(React.Fragment, null,
        React.createElement(AllHeader, { data: props.data }),
        React.createElement("div", { className: `card-menu card-menu card-menu-align-${flexform.align} card-menu-columns-${flexform.columns}` }, itemsTemplate));
};

export { MenuCardDir as default };
//# sourceMappingURL=MenuCardBase.js.map
