import React from 'react';
import AllHeader from '../../Partials/ContentElements/Header/All.js';
import Image from '../../Partials/ContentElements/Media/Type/Image.js';

const MenuThumbnailBase = props => {
    const { flexform, content } = props.data;
    const { items } = content;
    const itemsTemplate = items.map((item, index) => {
        const { title, link, target, thumbnail, subtitle } = item;
        return React.createElement("div", { key: link, className: "thumbnail-menu-item" },
            React.createElement("a", { href: link, target: target, title: title, "data-toggle": "tooltip", className: 'thumbnail-menu-link' },
                React.createElement("span", { className: 'thumbnail-menu-image' }, thumbnail && thumbnail.length > 0 ?
                    React.createElement(Image, { file: thumbnail[0] })
                    :
                        React.createElement("span", { className: 'no-image' })),
                React.createElement("span", { className: 'thumbnail-menu-caption' },
                    React.createElement("span", { className: 'thumbnail-menu-caption-inner' },
                        title && title.length > 0 &&
                            React.createElement("span", { className: 'h3 thumbnail-menu-caption-title' }, title),
                        subtitle && subtitle.length > 0 &&
                            React.createElement("p", { className: 'thumbnail-menu-caption-subtitle' }, subtitle)))),
            props.children);
    });
    return React.createElement(React.Fragment, null,
        React.createElement(AllHeader, { data: props.data }),
        React.createElement("div", { className: `thumbnail-menu thumbnail-menu-align-${flexform.align} thumbnail-menu-columns-${flexform.columns}` }, itemsTemplate));
};

export { MenuThumbnailBase as default };
//# sourceMappingURL=MenuThumbnailBase.js.map
