import React from 'react';
import AllHeader from '../../Partials/ContentElements/Header/All.js';

const Quote = (props) => {
    const { bodytext, quoteSource, quoteLink } = props.data.content;
    let sourceLink = () => {
        if (typeof quoteLink === 'object' && quoteLink !== null) {
            const { href, target, title, linkText } = quoteLink;
            const className = quoteLink['class'];
            return React.createElement("span", null,
                "(",
                React.createElement("a", { href: href, target: target, title: title, className: className }, linkText),
                ")");
        }
        return React.createElement(React.Fragment, null);
    };
    const bodyTemplate = () => {
        return (bodytext.length > 0) ?
            React.createElement("blockquote", { className: 'blockquote', dangerouslySetInnerHTML: { __html: bodytext } }) : React.createElement(React.Fragment, null);
    };
    const figcaptionTemplate = () => {
        if (quoteSource.length > 0) {
            return React.createElement("figcaption", { className: "blockquote-footer" },
                React.createElement("cite", { title: quoteSource },
                    quoteSource,
                    sourceLink()));
        }
        return React.createElement(React.Fragment, null);
    };
    return React.createElement(React.Fragment, null,
        React.createElement(AllHeader, { data: props.data }),
        React.createElement("figure", null,
            bodyTemplate(),
            figcaptionTemplate()),
        props.children);
};

export { Quote as default };
//# sourceMappingURL=Quote.js.map
