import React from 'react';
import AllHeader from '../../Partials/ContentElements/Header/All.js';

const Textmedia = props => {
    let textmediaClassName;
    if (props.data.content.gallery.position.horizontal === 'left' || props.data.content.gallery.position.horizontal === 'right') {
        textmediaClassName = props.data.content.gallery.position.horizontal;
    }
    if (props.data.content.gallery.position.horizontal === 'center') {
        textmediaClassName = props.data.content.gallery.position.vertical;
    }
    return React.createElement("div", { className: "row textmedia textmedia-" + textmediaClassName },
        React.createElement("div", { className: `textmedia-item textmedia-gallery col col-md-${textmediaClassName === props.data.content.gallery.position.vertical ? 'auto' : '6'}` },
            React.createElement("div", { className: 'row' }, Object.keys(props.data.content.gallery.rows).map((rowKey) => {
                return Object.keys(props.data.content.gallery.rows[rowKey].columns).map((columnKey) => {
                    switch (props.data.content.gallery.rows[rowKey].columns[columnKey].properties.mimeType) {
                        case 'video/youtube':
                            return React.createElement("div", { className: "col gallery-item  gallery-item-size-" + props.data.content.gallery.count.columns },
                                React.createElement("iframe", { src: props.data.content.gallery.rows[rowKey].columns[columnKey].publicUrl, className: "embed-responsive-item w-100" }),
                                props.data.content.gallery.rows[rowKey].columns[columnKey].properties.description);
                        case 'image/jpeg':
                            return React.createElement("div", { className: "col gallery-item  gallery-item-size-" + props.data.content.gallery.count.columns },
                                React.createElement("img", { src: props.data.content.gallery.rows[rowKey].columns[columnKey].publicUrl, className: "embed-responsive-item", alt: props.data.content.gallery.rows[rowKey].columns[columnKey].properties.title }),
                                props.data.content.gallery.rows[rowKey].columns[columnKey].properties.description);
                        case 'image/svg+xml':
                            return React.createElement("div", { className: "col gallery-item  gallery-item-size-" + props.data.content.gallery.count.columns },
                                React.createElement("img", { src: props.data.content.gallery.rows[rowKey].columns[columnKey].publicUrl, className: "embed-responsive-item", alt: props.data.content.gallery.rows[rowKey].columns[columnKey].properties.title }),
                                props.data.content.gallery.rows[rowKey].columns[columnKey].properties.description);
                        case 'video/mp4':
                            return React.createElement("div", { className: "col gallery-item  gallery-item-size-" + props.data.content.gallery.count.columns },
                                React.createElement("video", { controls: true },
                                    React.createElement("source", { type: "video/mp4", src: props.data.content.gallery.rows[rowKey].columns[columnKey].publicUrl })),
                                props.data.content.gallery.rows[rowKey].columns[columnKey].properties.description);
                        case 'video/vimeo':
                            return React.createElement("div", { className: "col gallery-item  gallery-item-size-" + props.data.content.gallery.count.columns },
                                React.createElement("video", { controls: true },
                                    React.createElement("source", { type: "video/mp4", src: props.data.content.gallery.rows[rowKey].columns[columnKey].publicUrl })),
                                props.data.content.gallery.rows[rowKey].columns[columnKey].properties.description);
                        default:
                            return React.createElement(React.Fragment, null);
                    }
                });
            }))),
        React.createElement("div", { className: "col textmedia-item textmedia-text" },
            React.createElement(AllHeader, { data: props.data }),
            React.createElement("div", { dangerouslySetInnerHTML: { __html: props.data.content.bodytext } }),
            props.children));
};

export { Textmedia as default };
//# sourceMappingURL=Textmedia.js.map
