import React from 'react';

const Page = async (pageProps) => {
    let pageTemplate;
    if (pageProps.pageTemplates.hasOwnProperty(pageProps.headlessData.appearance.backendLayout)) {
        pageTemplate = await pageProps.pageTemplates[pageProps.headlessData.appearance.backendLayout](pageProps);
    }
    else if (pageProps.pageTemplates.hasOwnProperty('__generic')) {
        pageTemplate = await pageProps.pageTemplates.__generic(pageProps);
    }
    else {
        return React.createElement(React.Fragment, null,
            "Page-template not found: ",
            pageProps.headlessData.appearance.backendLayout,
            " ");
    }
    return pageProps.pageLayouts[pageProps.headlessData.appearance.layout](pageProps, pageTemplate);
};

export { Page as default };
//# sourceMappingURL=Page.js.map
