import React from 'react';
import Content from '../Content.js';

const getGridElement = (element, pageProps, index) => {
    switch (element.type) {
        case 'row':
            return React.createElement("div", { key: index, className: 'row' }, element.children.map((child, index) => {
                return getGridElement(child, pageProps, index);
            }));
        case 'col':
            return React.createElement("div", { key: index, className: `col col-lg${element.colspan} col-md-${element.colspan} col-sm-${element.colspan} col-xl=%{element.colspan}` },
                React.createElement(Content, { colPos: element.colPos, pageProps: pageProps }));
        default:
            return React.createElement(React.Fragment, null);
    }
};
const GenericPage = ({ pageProps }) => {
    let content = React.createElement(React.Fragment, null);
    if (pageProps.headlessData.appearance.pageContentRows) {
        content = pageProps.headlessData.appearance.pageContentRows.map((gridElement, index) => {
            return getGridElement(gridElement, pageProps, index);
        });
    }
    return content;
};

export { GenericPage as default };
//# sourceMappingURL=GenericPage.js.map
