import Text from '../Components/Templates/ContentElements/Text.js';
import Textpic from '../Components/Templates/ContentElements/Textpic.js';
import Image from '../Components/Templates/ContentElements/Image.js';
import Div from '../Components/Templates/ContentElements/Div.js';
import Textmedia from '../Components/Templates/ContentElements/Textmedia.js';
import Shortcut from '../Components/Templates/ContentElements/Shortcut.js';
import Html from '../Components/Templates/ContentElements/Html.js';
import Uploads from '../Components/Templates/ContentElements/Uploads.js';
import Accordion from '../Components/Templates/ContentElements/Accordion.js';
import Gallery from '../Components/Templates/ContentElements/Gallery.js';
import CardGroup from '../Components/Templates/ContentElements/CardGroup.js';
import TextColumns from '../Components/Templates/ContentElements/TextColumns.js';
import Quote from '../Components/Templates/ContentElements/Quote.js';
import Header from '../Components/Templates/ContentElements/Header.js';
import Carousel from '../Components/Templates/ContentElements/Carousel.js';
import MenuCardList from '../Components/Templates/ContentElements/MenuCardList.js';
import MenuCardDir from '../Components/Templates/ContentElements/MenuCardDir.js';
import MenuThumbnailBase from '../Components/Templates/ContentElements/MenuThumbnailBase.js';
import React from 'react';

const ContentElementTemplates = {
    __generic: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(React.Fragment, null,
            headlessContentData.type,
            " has no Template");
    },
    text: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Text, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    html: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Html, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    textpic: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Textpic, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    image: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Image, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    shortcut: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Shortcut, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    div: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Div, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    uploads: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Uploads, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    accordion: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Accordion, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    gallery: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Gallery, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    textmedia: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Textmedia, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    card_group: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(CardGroup, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    textcolumn: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(TextColumns, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    quote: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Quote, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    header: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Header, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    carousel: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(Carousel, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    menu_card_list: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(MenuCardList, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    menu_card_dir: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(MenuCardDir, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    menu_thumbnail_dir: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(MenuThumbnailBase, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    },
    menu_thumbnail_list: async (headlessContentData, pageProps) => {
        "use server";
        return React.createElement(MenuThumbnailBase, { data: headlessContentData, children: headlessContentData.children, pageProps: pageProps });
    }
};

export { ContentElementTemplates };
//# sourceMappingURL=ContentElementTemplates.js.map
