import React from 'react';
import GenericPage from '../Components/Templates/Page/GenericPage.js';
import Content from '../Components/Templates/Content.js';
import FooterContent from '../Components/Partials/Page/Structure/FooterContent.js';

const PageTemplates = {
    __generic: async (pageProps) => {
        "use server";
        return {
            main: React.createElement(GenericPage, { pageProps: pageProps })
        };
    },
    default: async (pageProps) => {
        "use server";
        return {
            border: React.createElement("div", { className: 'row' },
                React.createElement("div", { className: 'col' },
                    React.createElement(Content, { colPos: '3', pageProps: pageProps }))),
            main: React.createElement(React.Fragment, null,
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '8', pageProps: pageProps }))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'row' },
                        React.createElement("div", { className: 'col' },
                            React.createElement(Content, { colPos: '0', pageProps: pageProps })))),
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '9', pageProps: pageProps })))),
            footer: React.createElement(FooterContent, { pageProps: pageProps }),
        };
    },
    simple: async (pageProps) => {
        "use server";
        return {
            border: React.createElement("div", { className: 'row' },
                React.createElement("div", { className: 'col' },
                    React.createElement(Content, { colPos: '3', pageProps: pageProps }))),
            main: React.createElement(React.Fragment, null,
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '8', pageProps: pageProps }))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'row' },
                        React.createElement("div", { className: 'col' },
                            React.createElement(Content, { colPos: '0', pageProps: pageProps })))),
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '9', pageProps: pageProps })))),
        };
    },
    '2_columns': async (pageProps) => {
        "use server";
        return {
            border: React.createElement("div", { className: 'row' },
                React.createElement("div", { className: 'col' },
                    React.createElement(Content, { colPos: '3', pageProps: pageProps }))),
            main: React.createElement(React.Fragment, null,
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '8', pageProps: pageProps }))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("main", { className: "col col-md-8 maincontent-wrap", role: "main" },
                                React.createElement(Content, { colPos: '0', pageProps: pageProps })),
                            React.createElement("div", { className: "col col-md-4 subcontent-wrap " },
                                React.createElement(Content, { colPos: '2', pageProps: pageProps }))))),
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '9', pageProps: pageProps })))),
            footer: React.createElement(FooterContent, { pageProps: pageProps }),
        };
    },
    '2_columns_25_75': async (pageProps) => {
        "use server";
        return {
            border: React.createElement("div", { className: 'row' },
                React.createElement("div", { className: 'col' },
                    React.createElement(Content, { colPos: '3', pageProps: pageProps }))),
            main: React.createElement(React.Fragment, null,
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '8', pageProps: pageProps }))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("main", { className: "col col-md-8 maincontent-wrap", role: "main" },
                                React.createElement(Content, { colPos: '0', pageProps: pageProps }))),
                        React.createElement("div", { className: "col col-md-4 subcontent-wrap" },
                            React.createElement(Content, { colPos: '1', pageProps: pageProps })))),
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '9', pageProps: pageProps })))),
            footer: React.createElement(FooterContent, { pageProps: pageProps }),
        };
    },
    '2_columns_50_50': async (pageProps) => {
        "use server";
        return {
            border: React.createElement("div", { className: 'row' },
                React.createElement("div", { className: 'col' },
                    React.createElement(Content, { colPos: '3', pageProps: pageProps }))),
            main: React.createElement(React.Fragment, null,
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '8', pageProps: pageProps }))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("main", { className: "col col-md-6 maincontent-wrap", role: "main" },
                                React.createElement(Content, { colPos: '0', pageProps: pageProps })),
                            React.createElement("div", { className: "col col-md-6 subcontent-wrap " },
                                React.createElement(Content, { colPos: '2', pageProps: pageProps }))))),
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '9', pageProps: pageProps })))),
            footer: React.createElement(FooterContent, { pageProps: pageProps }),
        };
    },
    '3_columns': async (pageProps) => {
        "use server";
        return {
            border: React.createElement("div", { className: 'row' },
                React.createElement("div", { className: 'col' },
                    React.createElement(Content, { colPos: '3', pageProps: pageProps }))),
            main: React.createElement(React.Fragment, null,
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '8', pageProps: pageProps }))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("main", { className: "col col-lg-6 maincontent-wrap ", role: "main" },
                                React.createElement(Content, { colPos: '0', pageProps: pageProps })),
                            React.createElement("div", { className: "col col-lg-3 subcontent-wrap " },
                                React.createElement(Content, { colPos: '1', pageProps: pageProps })),
                            React.createElement("div", { className: "col col-lg-3 subcontent-wrap" },
                                React.createElement(Content, { colPos: '2', pageProps: pageProps }))))),
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '9', pageProps: pageProps })))),
            footer: React.createElement(FooterContent, { pageProps: pageProps }),
        };
    },
    'special_feature': async (pageProps) => {
        "use server";
        return {
            border: React.createElement("div", { className: 'row' },
                React.createElement("div", { className: 'col' },
                    React.createElement(Content, { colPos: '3', pageProps: pageProps }))),
            main: React.createElement(React.Fragment, null,
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '8', pageProps: pageProps }))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'row' },
                        React.createElement("div", { className: 'col' },
                            React.createElement(Content, { colPos: '0', pageProps: pageProps })))),
                React.createElement("div", { className: "section section-primary" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("div", { className: "col col-md-6 section-column-half " },
                                React.createElement(Content, { colPos: '30', pageProps: pageProps })),
                            React.createElement("div", { className: "col col-md-6 section-column-half " },
                                React.createElement(Content, { colPos: '31', pageProps: pageProps }))))),
                React.createElement("div", { className: "section section-primary" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("div", { className: "col col-md-6 section-column-half " },
                                React.createElement(Content, { colPos: '32', pageProps: pageProps })),
                            React.createElement("div", { className: "col col-md-6 section-column-half " },
                                React.createElement(Content, { colPos: '33', pageProps: pageProps }))))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'row' },
                        React.createElement("div", { className: 'col' },
                            React.createElement(Content, { colPos: '4', pageProps: pageProps })))),
                React.createElement("div", { className: "section section-light" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("div", { className: "col col-md-6 section-column-half " },
                                React.createElement(Content, { colPos: '34', pageProps: pageProps })),
                            React.createElement("div", { className: "col col-md-6 section-column-half " },
                                React.createElement(Content, { colPos: '35', pageProps: pageProps }))))),
                React.createElement("div", { className: "section section-light" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("div", { className: "col col-md-6 section-column-half " },
                                React.createElement(Content, { colPos: '36', pageProps: pageProps })),
                            React.createElement("div", { className: "col col-md-6 section-column-half " },
                                React.createElement(Content, { colPos: '37', pageProps: pageProps }))))),
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '9', pageProps: pageProps })))),
            footer: React.createElement(FooterContent, { pageProps: pageProps }),
        };
    },
    'special_start': async (pageProps) => {
        "use server";
        return {
            border: React.createElement("div", { className: 'row' },
                React.createElement("div", { className: 'col' },
                    React.createElement(Content, { colPos: '3', pageProps: pageProps }))),
            main: React.createElement(React.Fragment, null,
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '8', pageProps: pageProps }))),
                React.createElement("div", { className: "section section-default" },
                    React.createElement("div", { className: 'container' },
                        React.createElement("div", { className: 'row' },
                            React.createElement("div", { className: "section-column-third col col-md-4 " },
                                React.createElement(Content, { colPos: '20', pageProps: pageProps })),
                            React.createElement("div", { className: "section-column-third col col-md-4" },
                                React.createElement(Content, { colPos: '21', pageProps: pageProps })),
                            React.createElement("div", { className: "section-column-third col col-md-4" },
                                React.createElement(Content, { colPos: '22', pageProps: pageProps }))))),
                React.createElement("div", { className: "section section-light" },
                    React.createElement("div", { className: 'row' },
                        React.createElement("div", { className: 'col' },
                            React.createElement(Content, { colPos: '0', pageProps: pageProps })))),
                React.createElement("div", { className: 'row' },
                    React.createElement("div", { className: 'col' },
                        React.createElement(Content, { colPos: '9', pageProps: pageProps })))),
            footer: React.createElement(FooterContent, { pageProps: pageProps }),
        };
    },
};

export { PageTemplates };
//# sourceMappingURL=PageTemplates.js.map
